<div class="animated fadeIn">
  <div class="card" style="padding: 0.2rem">
    <div class="card-header bg-gray-200 text-primary d-flex">
      <div class="mr-auto">
        <i class="fa fa-pencil-square-o text-primary"></i> {{TITLE}}
      </div>

    </div>
    <div *ngIf="fields.length > 0" class="card-body mt-4 p-0">
      <form [formGroup]="listForm" (ngSubmit)="update()" novalidate>

        <div class="row align-items-center text-primary">

          <div *ngFor="let field of fields" class="col-12 col-md-6 col-lg-3">

            <div *ngIf="field.type ==  'scat' " class="form-group">
              <label class="col-form-label">{{ field.label }}</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                                            <span class="input-group-text"><i
                                                    class="fa fa-bars text-primary"></i></span>
                  </div>
                  <select [formControlName]="field.index" class="form-control">
                    <option *ngFor="let op of field.subcategories"
                            value="{{ op.label }}">{{ op.label }}</option>
                  </select>
                </div>
              </div>
            </div>

            <div *ngIf="field.type !== 'scat' " class="form-group">
              <label class="col-form-label">{{ field.label }}</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                                            <span class="input-group-text"><i
                                                    class="fa fa-user text-primary"></i></span>
                  </div>
                  <input *ngIf="field.type == 'text'" type="text" [formControlName]="field.index"
                         class="form-control">
                  <input *ngIf="field.type == 'num'" type="number" [formControlName]="field.index"
                         class="form-control">
                  <input *ngIf="field.type == 'date'" type="date" [formControlName]="field.index"
                         class="form-control">
                </div>
              </div>
            </div>

          </div>

        </div>


        <div class="d-flex justify-content-around">
          <button type="submit" class="btn btn-primary rounded"><i class="fa fa-refresh"
                                                                                                    aria-hidden="true"></i>
            Actualizar
          </button>
          <button type="button" class="btn btn-danger rounded" data-dismiss="modal" (click)="cancel()"
          >
            <i class="fa fa-close" aria-hidden="true"></i> Cancelar
          </button>
        </div>

      </form>
    </div>


  </div>
</div>
